> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ConnectWise PSA configuration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/integration/{integrationId}/connectwise-psa
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/connectwise-psa:
    get:
      tags:
        - Integration
      summary: Get ConnectWise PSA configuration
      operationId: ConnectWisePSAController_getIntegrationMetadata
      parameters:
        - name: integrationId
          required: true
          in: path
          description: ConnectWise PSA integration ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectWiseConfiguration'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    ConnectWiseConfiguration:
      type: object
      properties:
        ticketCompanyId:
          type: string
        ticketSiteId:
          type: string
          nullable: true
        ticketBoardId:
          type: string
        ticketTypeId:
          type: string
        ticketPriorityId:
          type: string
        ticketPriorityUseSeverity:
          type: boolean
        ticketStatusId:
          type: string
        ticketAutoContainedPriorityId:
          type: string
        ticketAutoContainedPriorityUseSeverity:
          type: boolean
        ticketAutoContainedStatusId:
          type: string
        ticketPreventedPriorityId:
          type: string
        ticketPreventedPriorityUseSeverity:
          type: boolean
        ticketPreventedStatusId:
          type: string
        ticketClosedPriorityId:
          type: string
          nullable: true
        ticketContainedPriorityId:
          type: string
          nullable: true
        ticketContainedStatusId:
          type: string
          nullable: true
        ticketClosedStatusId:
          type: string
          nullable: true
        ticketRespondedPriorityId:
          type: string
          nullable: true
        ticketRespondedStatusId:
          type: string
          nullable: true
        criticalSeverityPriorityId:
          type: string
          nullable: true
        highSeverityPriorityId:
          type: string
          nullable: true
        mediumSeverityPriorityId:
          type: string
          nullable: true
        lowSeverityPriorityId:
          type: string
          nullable: true
        informationalSeverityPriorityId:
          type: string
          nullable: true
      required:
        - ticketCompanyId
        - ticketBoardId
        - ticketTypeId
        - ticketPriorityId
        - ticketPriorityUseSeverity
        - ticketStatusId
        - ticketAutoContainedPriorityId
        - ticketAutoContainedPriorityUseSeverity
        - ticketAutoContainedStatusId
        - ticketPreventedPriorityId
        - ticketPreventedPriorityUseSeverity
        - ticketPreventedStatusId
        - ticketClosedPriorityId
        - ticketContainedPriorityId
        - ticketContainedStatusId
        - ticketClosedStatusId
        - ticketRespondedPriorityId
        - ticketRespondedStatusId
        - criticalSeverityPriorityId
        - highSeverityPriorityId
        - mediumSeverityPriorityId
        - lowSeverityPriorityId
        - informationalSeverityPriorityId
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````